#
# Copyright (C) 2000, 2003 Eric de la Clergerie
# Forest is free software; you can redistribute it and/or
# modify it under the same terms as Perl itself.
#
# $Id: Forest.pm,v 1.1.1.1 2004/02/19 12:56:46 clerger Exp $
#

package Forest;

require 5.005;
use strict;
use warnings;
use Data::Grove;

our @ISA     = qw(Data::Grove);
our $VERSION = '0.01';

package Forest::Op;
our @ISA = qw{Forest};

package Forest::Deriv;
our @ISA = qw{Forest};

package Forest::Node;
our @ISA = qw{Forest};

package Forest::Feature;
our @ISA = qw{Forest};

package Forest::Comp;
our @ISA = qw{Forest};

package Forest::Val;
our @ISA = qw{Forest};

package Forest::Plus;
our @ISA = qw{Forest};

package Forest::Minus;
our @ISA = qw{Forest};

package Forest::Shared;
our @ISA = qw{Forest};

1;
__END__

=head1 NAME

Forest - Perl Objects to represent TAG Derivation Forest

=head1 SYNOPSIS

  use Forest;

=head1 DESCRIPTION

=head2 EXPORT

None by default.

=head1 AUTHOR

Eric de la Clergerie <Eric.De_La_Clergerie@inria.fr>

=head1 SEE ALSO

Forest::LP::Parser (3)
Forest::XML::Writer (3)
Forest::HTML::Writer (3)
perl(1).

=cut


